property :volume_name, String
property :iso_filename, String
property :iso_path, String

action :mount do
	driveLetterPath = "#{Chef::Config['file_cache_path']}/#{iso_filename}.driveletter"
	powershell_script 'Mount Team Foundation Server STD ISO' do
		code  <<-EOH
			$volume = Mount-DiskImage -ImagePath "#{iso_path}/#{iso_filename}" -PassThru | Get-Volume
			$volume.DriveLetter | Out-File "#{Chef::Config['file_cache_path']}/#{iso_filename}.driveletter" -encoding ASCII
			EOH
		guard_interpreter :powershell_script
		not_if { ::File.exists?(driveLetterPath) }
	end
	ruby_block "Set Drive Letter Node" do
        block do
			::File.open(driveLetterPath) do |f|
			  f.each_line do |line|
				line = line.delete("\r")
				line = line.delete("\n")
				node.set[:ec2helper][:iso][:mount][:drive_letter] = line
			  end
			end
        end
    end
	new_resource.updated_by_last_action(true)
end